#include <bits/stdc++.h>
using namespace std;
long long N,H,X,br;
bool P=true;
int main(){
    scanf("%lld %lld",&N,&H);
    for(int i=1;i<=N;i++){
        scanf("%lld",&X);
        if(X>H and P)br++;
        else P=false;
    }

    if(P)printf("-1\n");
    else printf("%lld\n",br+1);

    return 0;
}